Bug 222906 - InterruptedException at java.util.concurrent.locks.AbstractQueuedSynchronizer.tryAcquireSharedNanos
InterruptedException at java.util.concurrent.locks.AbstractQueuedSynchronizer...
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: ODCS Tasks
7.3
All All
: P2 (vote)
: 7.3
Assigned To: issues@ide
issues@ide
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-28 15:06 UTC by Tomas Stupka
Modified: 2013-04-18 02:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.18 KB, text/plain)
2012-11-28 15:06 UTC, Tomas Stupka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2012-11-28 15:06:11 UTC
Build: NetBeans IDE Dev (Build 20121128-8b8aafbc3cf3)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.12-b01-434, Java(TM) SE Runtime Environment, 1.6.0_37-b06-434-11M3909
OS: Mac OS X

User Comments:
tstupka: after odcs login




Stacktrace: 
java.lang.InterruptedException
   at java.util.concurrent.locks.AbstractQueuedSynchronizer.tryAcquireSharedNanos(AbstractQueuedSynchronizer.java:1302)
   at java.util.concurrent.FutureTask$Sync.innerGet(FutureTask.java:227)
   at java.util.concurrent.FutureTask.get(FutureTask.java:91)
   at org.eclipse.mylyn.commons.net.WebUtil.execute(WebUtil.java:368)
   at org.eclipse.mylyn.commons.net.WebUtil.executeInternal(WebUtil.java:382)
   at org.eclipse.mylyn.commons.net.WebUtil.execute(WebUtil.java:336)
Comment 1 Tomas Stupka 2012-11-28 15:06:14 UTC
Created attachment 128521 [details]
stacktrace
Comment 2 Tomas Stupka 2012-11-28 15:30:32 UTC
after every login -> highly visible -> P2
Comment 3 Tomas Stupka 2012-11-29 16:40:13 UTC
fixed in core-main #9df76c229cda
Comment 4 Quality Engineering 2013-04-18 02:19:32 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9df76c229cda
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #222906 - InterruptedException at java.util.concurrent.locks.AbstractQueuedSynchronizer.tryAcquireSharedNanos


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo